/// INDEX.HTML STYLE ///

/// COVID BANNER ///

.alert {

    &.hide {
        display: none;
    }

    &.show {
        display         : flex;
        flex-direction  : column;
        align-items     : center;
        padding         : 0.5rem;
        background-color: #3a3a38;
        color           : #fff;
    }

    .covid-alert {
        display        : flex;
        justify-content: center;
        align-items    : center;
    
        img{
            width     : 30px;
            min-width : 30px;
            height    : 30px;
            min-height: 30px;
            padding   : 0 0.5rem;
        }
    
        p {
            padding   : 0 0.5rem;
            text-align: center;
        }
    }

    #alert-close {
        width     : 20px;
        height    : 20px;
        margin-top: 0.5rem;
        transform : rotate(270deg);
    }
}

/// FAVORITES ///

.favorites {
    margin-bottom   : 10vh;
    background-color: #cccccc;

    .fav-title {
        padding         : 0.5rem;
        font-size       : 1.1rem;
        color           : #fff;
        background-color: #e11b7a;
    }

    .stop-info {
        width        : 100%;
        border-bottom: 2px solid #000;

        .stop-name {
            display    : flex;
            align-items: center;
            padding    : 0.5rem;

            img {
                width : 20px;
                height: 20px;
                margin: 0 0.5rem;
            }

            .line-name {
                padding  : 0 0.5rem;
                font-size: 1.2rem;
            }
        }

        .stop-direc {
            display    : flex;
            align-items: center;
            padding    : 0.5rem;

            img {
                width : 20px;
                height: 20px;
                margin: 0 0.5rem;
            }

            .line-direc {
                padding: 0 0.5rem;
            }
        }

        .stop-times {
            display        : flex;
            justify-content: space-around;
            width          : 100%;
            padding        : 0.5rem 0;
            list-style     : none;

            li {
                padding: 0 0.5rem;
            }
        }
    }
}